# Move the outputs to the proper destination

# Get some variables provided by autosubmit.
WORKDIR=%HPCROOTDIR%
STARTDATE=%SDATE%
MEMBER=%MEMBER%
OUTPUT_FILES="%simulation.OUTPUT_FILES%"

# Define rundir
RUNDIR=${WORKDIR}/${STARTDATE}/${MEMBER}

# Define output dir and create it in case it doesn't exist
OUTPUT_DIR=${WORKDIR}/output/${STARTDATE}/${MEMBER}
mkdir -p ${OUTPUT_DIR}

# Copy the output files
for file_name in ${OUTPUT_FILES}; do
  rsync ${RUNDIR}/${file_name} ${OUTPUT_DIR}
done
